Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.base
Interface OperationStatus

All Superinterfaces:
  MapCapable

All Known Subinterfaces:
  DeploymentStatus

All Known Implementing Classes:
  DeploymentStatusImpl, OperationStatusBase

public interface OperationStatus
extends MapCapable

Base interface for all OperationStatus objects.

Field Summary
`static int` | `STATUS_CODE_FAILURE` Status code indicating failure of the operation.
`static java.lang.String` | `STATUS_CODE_KEY` Key used to look up the status code (if any) from the Map.
`static int` | `STATUS_CODE_SUCCESS` Status code indicating success of the operation.
`static int` | `STATUS_CODE_WARNING` Status code indicating success, with warning.
`static java.lang.String` | `THROWABLE_KEY` Key used to look up the Throwable (if any) from the Map.

Fields inherited from interface com.sun.appserv.management.base.MapCapable
`MAP_CAPABLE_CLASS_NAME_KEY`

Method Summary
`int` | `getStatusCode()` If there is no explicit status code, an operation is considered successful if nothing was thrown.
`java.lang.Throwable` | `getThrowable()` If a Throwable was thrown, this implies some degree of failure from partial to total.

Methods inherited from interface com.sun.appserv.management.base.MapCapable
`asMap, getMapClassName`

Field Detail

### THROWABLE_KEY

    public static final java.lang.String THROWABLE_KEY

  Key used to look up the Throwable (if any) from the Map. The value returned is a java.lang.Throwable.

  See Also:
    Constant Field Values

### STATUS_CODE_KEY

    public static final java.lang.String STATUS_CODE_KEY

  Key used to look up the status code (if any) from the Map. The value returned is an Integer whose intValue() is the status code. Corresponds to `getStatusCode()`.

  See Also:
    Constant Field Values

### STATUS_CODE_SUCCESS

    public static final int STATUS_CODE_SUCCESS

  Status code indicating success of the operation.

  See Also:
    Constant Field Values

### STATUS_CODE_FAILURE

    public static final int STATUS_CODE_FAILURE

  Status code indicating failure of the operation.

  See Also:
    Constant Field Values

### STATUS_CODE_WARNING

    public static final int STATUS_CODE_WARNING

  Status code indicating success, with warning.

  See Also:
    Constant Field Values

Method Detail

### getStatusCode

    public int getStatusCode()

  If there is no explicit status code, an operation is considered successful if nothing was thrown.

  Legal status codes include:

  - #STATUS_CODE_SUCCESS
  - #STATUS_CODE_FAILURE
  - #STATUS_CODE_WARNING
  - any other status codes defined by sub-interfaces/subclasses

  Returns:
    the status code

### getThrowable

    public java.lang.Throwable getThrowable()

  If a Throwable was thrown, this implies some degree of failure from partial to total.

  Returns:
    any Throwable that was thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.